summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorpetRUShka2015-07-01 17:33:59 +0300
committerpetRUShka2015-07-01 17:33:59 +0300
commit0b2b4e573cc30e7080769484dff324d0cd6ffd18 (patch)
treec58717f1f8251de0dd2e332e7dc0c31d14107805
downloadaur-tvoeradio-desktop.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD28
2 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4486f0fb844
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = tvoeradio-desktop
+ pkgdesc = Multiplatform client to listen music from VKontakte.ru and Last.fm services.
+ pkgver = 2.0
+ pkgrel = 4
+ url = http://tvoeradio.org/desktop/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = gcc
+ makedepends = make
+ makedepends = pkgconfig
+ depends = qt4
+ depends = qtwebkit
+ provides = tvoeradio-desktop
+ conflicts = tvoeradio-desktop-svn
+ replaces = tvoeradio-desktop-svn
+ source = https://bitbucket.org/eXtractor/tvoeradio-desktop/downloads/tvoeradio-desktop-2.0.tar.bz2
+ sha1sums = 15574274b09ed8449e1a87c82821474ba8c7d123
+
+pkgname = tvoeradio-desktop
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d479c935fa8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+pkgname=tvoeradio-desktop
+pkgver=2.0
+pkgrel=4
+pkgdesc="Multiplatform client to listen music from VKontakte.ru and Last.fm services."
+arch=('i686' 'x86_64')
+url="http://tvoeradio.org/desktop/"
+license=('GPL')
+depends=('qt4' 'qtwebkit')
+makedepends=('gcc' 'make' 'pkgconfig')
+conflicts=('tvoeradio-desktop-svn')
+provides=('tvoeradio-desktop')
+replaces=('tvoeradio-desktop-svn')
+
+source=(https://bitbucket.org/eXtractor/tvoeradio-desktop/downloads/${pkgname}-${pkgver}.tar.bz2)
+sha1sums=('15574274b09ed8449e1a87c82821474ba8c7d123')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver/src
+
+ qmake-qt4 || return 1
+
+ make || return 1
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+
+# Add freedesktop compatibility
+# install -D -m 664 $srcdir/$pkgname-$pkgver/src/img/tvoeradio-desktop.png $pkgdir/usr/share/pixmaps/tvoeradio-desktop.png || return 1
+# install -D -m 664 $srcdir/$pkgname-$pkgver/src/tvoeradio-desktop.desktop $pkgdir/usr/share/applications/tvoeradio-desktop.desktop || return 1
+}